Overview

 Top Next

Overview

Top Next

The PageGate GUI (Graphical User Interface) Client is the Windows based graphical client for the PageGate Paging application. It allows workstations on a network to send messages to the PageGate paging server, which in turn delivers the messages (via a modem, a direct cable connection, or the internet) to your paging carrier(s) for delivery. Your paging carrier will then send the message to the appropriate pager, phone, or wireless messaging device. The PageGate GUI Client program is one of several front-end interfaces available for the PageGate paging server. It can be used alone, or in conjunction with any or all of the other interfaces.

The PageGate server application must be installed and configured before the PageGate GUI Client can be used. Please refer to the PageGate Server's help file for more information on the installation, configuration, and operation of the PageGate Server.


Features & Capabilities

 Top Previous Next

Features & Capabilities

Top Previous Next

Local and network recipient lists - on each workstation you can choose recipients from the network recipient list, or from a smaller personal recipient list which can be defined for each workstation. Administrators can lock users into only using their local recipient list.

Scheduled messages - messages can be scheduled to be sent at a future date/time

Repeating messages - messages can be scheduled to repeat at predefined interval, for a settable period of time

Group paging - messages can be sent to a predefined group of recipients

Multiple recipients - allows a single message to be sent to more than one recipient and/or group

Pre-programmed messages - on each workstation, up to 100 pre-programmed messages can be defined

Real-time message status log - each workstation can track the progress of each message from start to finish

Real-time message status counters - displays current number of messages pending, sent, or failed from each workstation

Message character counter - displays the length of the current message

Message history log - displays a history of all messages sent from each workstation

Intelligent message queuing - messages for the same carrier are grouped together and sent during a single communications session

Point and click operation - an intuitive user interface makes the PageGate GUI Client very easy to use

Spell check - a spell check option is available on systems running MS Word

Recipient cueing - Recipients may be selected by typing the first few letters of their name

Multiple delivery options - PageGate can deliver messages to a paging terminal by a direct cable connection, through a modem, or via the internet

Message splitting - Long messages are intelligently split into multiple smaller messages

Settable character limits - The maximum number of characters to be sent in a message is settable by carrier and individual recipient

On-call groups - A schedule can be setup for the recipients in a group, allowing PageGate to send messages to only the recipients scheduled to receive messages a that point in time.

Dialup support - messages can be sent via modem or direct cable connection to any carrier that supports the IXO, PET, TAP, or UCP protocol. This includes cellular/pcs/digital phones, PIMS, alphanumeric and numeric pagers, PC/PCMCIA cards, billboards, etc.

Internet support - messages can be sent via the internet to any carrier that supports the SNPP, SMTP (email), and WCTP protocols. This includes cellular/pcs/digital phones, PIMS, alphanumeric and numeric pagers, PC/PCMCIA cards, billboards, etc.

Failover - PageGate can automatically send a message that was not deliverable to another recipient or group.

Touch-Tone message delivery - PageGate can send messages to numeric pagers by using touch tones

Message logging - PageGate's general log keeps a history of all messages sent. Each dialer can also keep a detailed log of the communication sessions with the paging carriers.

Modular / Scalable - PageGate's modular architecture allows the application to be run across several computers for high throughput applications.

Reliapage - provides a way for recipients to be aware that a message has been missed.

Requeue messages - missed messages can be requeued for re-transmission to the paging carrier

High throughput & volume - PageGate's intelligent queuing of messages and multiple dialers (up to 16) allows for a large volume of messages to be delivered per hour.

Filtered Recipients - The PageGate Client can show a filtered list of recipients, which can be filtered by name or one of four other definable fields.

Local Recipient Lists - A subset of the entire network recipient list can be setup for each client, making it easier to find commonly used recipients.

Reports - Reports of pending and sent messages can be printed from the PageGate Client.


Shareware Information

 Top Previous Next

Shareware Information

Top Previous Next

PageGate defaults into an 'evaluation mode' until it is registered (purchased). Registration information can be entered into PageGate's Admin program by choosing the 'Registration' object. The evaluation version of PageGate only allows for two active recipients at any given time, and the server will stop itself every 3-5 days. PageGate's Admin program can be used to restart the paging engine after this time period.

Shareware is based on the try it before you buy it concept. This software is not free. You may try it. If you like the software and would like a complete registered version you must contact sales@notepage.com. The registration fee allows us to continue to develop quality products, notify you of updates, and provide technical support. NotePage, Inc. accepts credit cards (Visa, MasterCard, Discover & American Express), Purchase Orders, checks drawn on US banks, and wire transfers. If you have any questions or concerns regarding registration please contact sales@notepage.com. If you use any of NotePage, Inc.'s software and do not register after the trial period it is considered software piracy and is illegal.


Purchasing

 Top Previous Next

Purchasing

Top Previous Next

PageGate can be ordered directly from NotePage, Inc:

The most current PageGate pricing can be found on our website:

www.notepager.net/pricing.htm

www.notepager.com/pricing.htm

www.notepage.net/pricing.htm

NotePage, Inc.

291 Rockland Street

Suite 13

Hanover, MA 02339

Phone (781) 829-0500

Fax (781) 582-1869

Accepted Payment forms are:

Pre-payment

COD Company Check (continental US only)

MasterCard

Visa

Discover

Purchase Orders

(see on-line ordering below for American Express)

All payments are in US Dollars

PageGate can be ordered on-line at:

www.notepager.net/purchase.htm

www.notepager.com/purchase.htm

www.notepage.net/purchase.htm

Accepted Payment forms are:

MasterCard

Visa

Discover

American Express

Purchase Orders

PageGate can be purchased through a NotePage authorized reseller, who can also be contracted for the installation of our products. Please contact us for a reseller in your area.


Contact Information

 Top Previous Next

Contact Information

Top Previous Next

NotePage, Inc.

PO Box 296

Hanover, MA 02339

USA

Mailing Address

PO Box 296

Hanover, MA 02339

web www.notepage.net

email sales@notepage.net

phone (781) 829-0500

fax (781) 582-1869


Version Information

 Top Previous Next

Version Information

Top Previous Next

PageGate GUI Client Help File

For PageGate version 6.0

Copyright 1997-2013 NotePage, Inc.


End User License Agreement

 Top Previous Next

End User License Agreement

Top Previous Next

END-USER LICENSE AGREEMENT FOR PageGate

IMPORTANT PLEASE READ THE TERMS AND CONDITIONS OF THIS LICENSE AGREEMENT CAREFULLY BEFORE CONTINUING WITH THIS PROGRAM INSTALL:

NotePage, Inc.'s End-User License Agreement ("EULA") is a legal agreement between you (either an individual or a single entity) and NotePage, Inc. for the NotePage software product(s) identified above which may include associated software components, media, printed materials, and "online" or electronic documentation ("SOFTWARE PRODUCT"). By installing, copying, or otherwise using the SOFTWARE PRODUCT, you agree to be bound by the terms of this EULA. This license agreement represents the entire agreement concerning the program between you and NotePage, Inc., (referred to as "licensor"), and it supersedes any prior proposal, representation, or understanding between the parties. If you do not agree to the terms of this EULA, do not install or use the SOFTWARE PRODUCT.

The SOFTWARE PRODUCT is protected by copyright laws and international copyright treaties, as well as other intellectual property laws and treaties. The SOFTWARE PRODUCT is licensed, not sold.

1. GRANT OF LICENSE. The SOFTWARE PRODUCT is licensed as follows:

(a) Installation and Use. NotePage, Inc. grants you the right to install and use copies of the SOFTWARE PRODUCT on your computer running a validly licensed copy of the operating system for which the SOFTWARE PRODUCT was designed [e.g., Windows 95®, Windows NT®, Windows 98®, Windows 2000 ®].

(b) Backup Copies. You may also make copies of the SOFTWARE PRODUCT as may be necessary for backup and archival purposes.

2. DESCRIPTION OF OTHER RIGHTS AND LIMITATIONS.

(a) Maintenance of Copyright Notices.You must not remove or alter any copyright notices on any and all copies of the SOFTWARE PRODUCT.

(b) Distribution. You may not distribute registered copies of the SOFTWARE PRODUCT to third parties. Evaluation versions available for download from NotePage, Inc.'s websites may be freely distributed.

(c) Prohibition on Reverse Engineering, Decompilation, and Disassembly. You may not reverse engineer, decompile, or disassemble the SOFTWARE PRODUCT, except and only to the extent that such activity is expressly permitted by applicable law notwithstanding this limitation.

(d) Rental. You may not rent, lease, or lend the SOFTWARE PRODUCT.

(e) Support Services. NotePage, Inc. may provide you with support services related to the SOFTWARE PRODUCT ("Support Services"). Any supplemental software code provided to you as part of the Support Services shall be considered part of the SOFTWARE PRODUCT and subject to the terms and conditions of this EULA.

(f) Compliance with Applicable Laws. You must comply with all applicable laws regarding use of the SOFTWARE PRODUCT.

3. TERMINATION

Without prejudice to any other rights, NotePage may terminate this EULA if you fail to comply with the terms and conditions of this EULA. In such event, you must destroy all copies of the SOFTWARE PRODUCT in your possession.

4. COPYRIGHT

All title, including but not limited to copyrights, in and to the SOFTWARE PRODUCT and any copies thereof are owned by NotePage, Inc. or its suppliers. All title and intellectual property rights in and to the content which may be accessed through use of the SOFTWARE PRODUCT is the property of the respective content owner and may be protected by applicable copyright or other intellectual property laws and treaties. This EULA grants you no rights to use such content. All rights not expressly granted are reserved by NotePage.

5. NO WARRANTIES

NotePage, Inc. expressly disclaims any warranty for the SOFTWARE PRODUCT. The SOFTWARE PRODUCT is provided "As Is" without any express or implied warranty of any kind, including but not limited to any warranties of merchantability, noninfringement, or fitness of a particular purpose. NotePage does not warrant or assume responsibility for the accuracy or completeness of any information, text, graphics, links or other items contained within the SOFTWARE PRODUCT. NotePage makes no warranties respecting any harm that may be caused by the transmission of a computer virus, worm, time bomb, logic bomb, or other such computer program. NotePage further expressly disclaims any warranty or representation to Authorized Users or to any third party.

6. LIMITATION OF LIABILITY

In no event shall NotePage, Inc. be liable for any damages (including, without limitation, lost profits, business interruption, or lost information) rising out of 'Authorized Users' use of or inability to use the SOFTWARE PRODUCT, even if NotePage, Inc. has been advised of the possibility of such damages. In no event will NotePage be liable for loss of data or for indirect, special, incidental, consequential (including lost profit), or other damages based in contract, tort or otherwise. NotePage, Inc. shall have no liability with respect to the content of the SOFTWARE PRODUCT or any part thereof, including but not limited to errors or omissions contained therein, libel, infringements of rights of publicity, privacy, trademark rights, business interruption, personal injury, loss of privacy, moral rights or the disclosure of confidential information.


System Requirements

 Top Previous Next

System Requirements

Top Previous Next

Minimum requirements to run the PageGate GUI Client:

Operating System: Windows XP, Windows Vista, 7, 8, Server 2003, Server 2008 32-bit and 64-bit

Processor: Pentium

Memory: 256 Mb of free memory (typically 512 Mb for Windows XP and 1GB for Vista, 7, 8, Server 2003 or Server 2008)

Storage: 10 Mb of free disk space

Communications: Network access to the PageGate Server's database


Overview

 Top Previous Next

Overview

Top Previous Next

The PageGate Server application must be installed and operational before the PageGate GUI Client program can be used. Please refer to the PageGate Server documentation for detailed instructions on the installation of the PageGate Server.


Pre-Installation

 Top Previous Next

Pre-Installation

Top Previous Next

here are a few things you should verify before installing the PageGate GUI Client:

1. The PageGate Server must be installed and operational before the PageGate GUI Client is installed.

2. The workstation must have network access to the paging database (pagegate.mdb). The

workstation must have read, write, and change permissions to this file.

3. If you plan to use the spell-checking feature, Microsoft Office must be installed on the workstation.

4. If application or database passwords have been defined in the PG Admin program, they will be needed to access the Client application and the PageGate database.


CD-Rom Installation

 Top Previous Next

CD-Rom Installation

Top Previous Next

1. Insert the PageGate CD-Rom into your computer.

2. PageGate's setup routine will (on most computers) automatically start. If the setup program starts, go to step 3 below. If not, click on the Windows start button, and then choose 'Run' from the menu. Type in 'd:\setup' without the quotes (in this example the CD-Rom drive letter is 'd'. If your CD-Rom drive letter is different, use it instead). Next hit the 'OK' button.

3. The setup program will present you with options for which part of PageGate you want to install. To install the PageGate GUI Client you should choose the second option.

4. The following screen will display PageGate's End User License Agreement. Please read it carefully and proceed with the installation of PageGate ONLY if you agree with ALL the terms of this agreement.

5. On the next screen you can specify a location where you want the PageGate GUI Client installed. The default install location is C:\Program Files\PageGate Client\. You can change the installation path by hitting the 'Browse' button. To accept the install location, hit 'OK'.

6. You will now be prompted for the name of the group that the PageGate GUI Client icons should be added to in the Windows Start Menu. The default group is 'PageGate Client'.

7. The setup program is now ready to install the PageGate GUI Client. Click on the 'Next' button to start the installation process.

8. The setup program will now copy the PageGate GUI Client program and support files to your computer. If you encounter any problems during this part of the installation, please refer to the 'Installation Troubleshooting' section of the manual.

9. The next screen will tell you that the PageGate GUI Client has been successfully installed. Hit the 'Finish' button to exit PageGate's setup program.

10. In some cases, your computer will ask to be restarted after the installation of the PageGate GUI Client. If you are prompted to do so, you must restart your computer before running the PageGate GUI Client.


Single executable (.exe) installation

 Top Previous Next

Single executable (.exe) installation

Top Previous Next

1. Run the executable file that you downloaded (pgsetup.exe).

2. The setup program will present you with options for which part of PageGate you want to install. To install the PageGate GUI Client you should choose the second option.

3. The following screen will display PageGate's End User License Agreement. Please read it carefully and proceed with the installation of PageGate ONLY if you agree with ALL the terms of this agreement.

4. On the next screen you can specify a location where you want the PageGate GUI Client installed. The default install location is C:\Program Files\PageGate Client\. You can change the installation path by hitting the 'Browse' button. To accept the install location, hit 'OK'.

5. You will now be prompted for the name of the group that the PageGate GUI Client icons should be added to in the Windows Start Menu. The default group is 'PageGate Client'.

6. The setup program is now ready to install the PageGate GUI Client. Click on the 'Next' button to start the installation process.

7. The setup program will now copy the PageGate GUI Client program and support files to your computer. If you encounter any problems during this part of the installation, please refer to the 'Installation Troubleshooting' section of the manual.

8. The next screen will tell you that the PageGate GUI Client has been successfully installed. Hit the 'Finish' button to exit PageGate's setup program.

9. In some cases, your computer will ask to be restarted after the installation of the PageGate GUI Client. If you are prompted to do so, you must restart your computer before running the PageGate GUI Client.


Single archive (.zip) installation

 Top Previous Next

Single archive (.zip) installation

Top Previous Next

1. To extract the PageGate installation file from the archive (.zip) file, you will need a program such as WinZip or PKZip. Extract the contents of the .zip file that you have downloaded (pgsetup.zip) into a temporary directory by using one of these utilities.

2. Run the file named pgsetup.exe from the location where you extracted PageGate's installation file.

3. The setup program will present you with options for which part of PageGate you want to install. To install the PageGate GUI Client you should choose the second option.

4. The following screen will display PageGate's End User License Agreement. Please read it carefully and proceed with the installation of PageGate ONLY if you agree with ALL the terms of this agreement.

5. On the next screen you can specify a location where you want the PageGate GUI Client installed. The default install location is C:\Program Files\PageGate Client\. You can change the installation path by hitting the 'Browse' button. To accept the install location, hit 'OK'.

6. You will now be prompted for the name of the group that the PageGate GUI Client icons should be added to in the Windows Start Menu. The default group is 'PageGate Client'.

7. The setup program is now ready to install the PageGate GUI Client. Click on the 'Next' button to start the installation process.

8. The setup program will now copy the PageGate GUI Client program and support files to your computer. If you encounter any problems during this part of the installation, please refer to the 'Installation Troubleshooting' section of the manual.

9. The next screen will tell you that the PageGate GUI Client has been successfully installed. Hit the 'Finish' button to exit PageGate's setup program.

10. In some cases, your computer will ask to be restarted after the installation of the PageGate GUI Client. If you are prompted to do so, you must restart your computer before running the PageGate GUI Client.


Promptless automatic installation

 Top Previous Next

Promptless automatic installation

Top Previous Next

The PageGate GUI Client can be installed unattended. This helps network administrators to automate the installation of the this program.

CD-Rom Instructions

1. Copy the contents of the CD-Rom to a shared folder on your network. The setup for the workstations will be run from here.

2. Go to step #5 below.

Single Executable (download file) Instructions

1. Start the PageGate setup by running the downloaded file (pgsetup.exe).

2. When the first installation screen is shown, stop there. A folder named 'PGSetup' will now exist in your system's temporary directory, (usually c:\windows\temp or c:\temp).

3. Copy the entire contents of the PGSetup folder to a shared folder on your network. The setup for the workstations will be run from here.

4. Exit out of the installation program.

5. Use the following commandline syntax to run a promptless install.

Note: promptless installations installs the PageGate applications to their default locations only.

<path>pgcsetup.exe /S

The <path> option should be replace with the path to where you copied the contents of the 'PGSetup' folder (or the contents of the CD-Rom).

Here is an example of a promptless install of the PageGate GUI Client if the contents of the PGSetup folder (or the contents of the CD-Rom) was copied to C:\PGFiles

C:\PGFiles\pgcsetup.exe /S

Notes:

The PageGate client can be installed normally by running pgcsetup.exe. After the installation finishes, the install files are automatically removed from your system. If you want the setup files to remain after installation, use a /K in the commandline.


Post-Installation

 Top Previous Next

Post-Installation

Top Previous Next

1. If you installed from CD-Rom, remove the CD and keep it in a safe place. You will need it again if you ever need to reinstall PageGate, or want to install the PageGate Admin program, the PageGate Monitor program, or the PageGate GUI Client program on an additional workstation.

2. If you installed the PageGate GUI Client from a single downloaded file (pgsetup.exe or pgsetup.zip), be sure to make a copy of the file and store it in a safe place. You will need it again if you ever need to reinstall PageGate, or want to install the PageGate Admin program, the PageGate Monitor program, or the PageGate GUI Client program on an additional workstation.


Installation Troubleshooting

 Top Previous Next

Installation Troubleshooting

Top Previous Next

Problem: Any number of different problems

Solution: Be sure that there are no other programs running when you install the PageGate GUI Client. There may be programs running even if you don't see them in your task bar. Pressing <ctrl><alt><del> will bring up a list of running programs in the 'Task Manager'. Stop any program that you believe is causing the conflict.

WARNING: this should only be done by an experienced user. Randomly ending tasks can lock up your computer, lose data or worse. Please consult with and experienced technician before killing any processes. A clean reboot can sometimes also help. Holding down the shift key while windows is starting will stop some programs from starting that normally load at startup. Try re-running the PageGate GUI Client setup program.


Setup Overview

 Top Previous Next

Setup Overview

Top Previous Next

There are two stages to the setup of the PageGate GUI Client. The first stage is the setup of the PageGate Server. The PageGate Server must be installed, setup, and running in order to use the PageGate GUI Client. It should be installed and setup before attempting to run the PageGate GUI Client for the first time. The second stage is the setup of the PageGate GUI Client application.

The PageGate GUI Client sends messages to and receives information from the PageGate Server via a shared database file (pagegate.mdb). During the setup of the PageGate Server you are prompted for a location for this file. The file should be placed in a location where both the PageGate Server and the PageGate GUI Client can access the file. In other words, the database file (pagegate.mdb) should be in a shared network folder to which both the PageGate GUI Client and the PageGate Server have full rights. The default location for this file is the PageGate Server's program directory. To keep the file there and use the PageGate GUI Client, you must share the PageGate program folder on your network.

During the setup of the PageGate GUI Client, you are prompted for the 'Server Database'. You must enter (or browse using the button with three dots) the full path to the pagegate.mdb file. If the machine you installed the PageGate Server on was called 'pgserver', and you installed the server to a drive shared as c-drive, and the database was installed in it's default location, the full path would be:

\\pgserver\c-drive\program files\pagegate\


First Time Setup

 Top Previous Next

First Time Setup

Top Previous Next

In order to properly setup the PageGate GUI Client, the PageGate Server must already be installed, setup, and running (refer to PageGate's documentation for installation and operations).

The first time you start the PageGate GUI Client, the setup screen will be displayed.

1. Specifying the server's data directory.

During the setup of the PageGate Server, a location for PageGate's database was specified (pagegate.mdb). The PageGate GUI Client must know the location of that database file, in order to operate. Type the full path to the database file in the 'Server Database' field, or use the browse button (three dots) to find its location.

2. Preset Msgs File

The GUI Client can store up to 100 preset messages to help users quickly enter commonly used messages or phrases. Enter a file path and name here to store these messages.

3. Sender's Name

By default, each message sent by the PageGate GUI Client is prefixed with the name of the sender (this behavior can be turned off in the PG Admin program if desired). This is where you specify that name.

4. Station Number

The station number is used in the log files to indicate which workstation a message originated from. Each workstation should be given a unique station number (unless you want multiple workstation to share the same history log).

5. Update frequency

This sets how often (in seconds) the PageGate GUI Client updates its statistics and logs. Too small a value may generate unnecessary network traffic.

6. Local Recipient List Only

This option can be use to only allow the user of this program to see recipients in their local recipient list. The full network recipient list will not be accessible.

7. Enable Spell Check

If you have Microsoft Word 97 or newer, you can enable this option to allow for the spell checking of messages.

8. Choose to save the above setting for all users of this workstation, or for only the currently logged in user.

9. Apply your changes.

Setup of the PageGate GUI Client is now complete. You are ready to send messages!


Sending a Message

 Top Previous Next

Sending a Messsage

Top Previous Next

Sending a message is as easy as 1, 2, 3.

1. Choose a recipient(s) from the 'Recipient List'. Selected recipients will move to the 'Selected Recipients' list.

2. Enter a message in the 'Message Text' box.

3. Hit the 'SEND' button.

DONE !!!


Shortcuts, Hints, and Things You Should Know

 Top Previous Next

Shortcuts, Hints and Things You Should Know

Top Previous Next

The 'Clear' button next to the 'Selected Recipients' list will clear all the selected recipients

The 'Clear' button next to the 'Message Text' box will clear the entire message text

Clicking on the 'Prog1' - 'Prog5' buttons will automatically type pre-programmed messages into the 'Message Text' area.

Right-clicking on the 'Prog1' - 'Prog5' buttons will allow you to set or modify the pre-programmed message for that button.

Clicking the 'More' button will bring you to the main presets screen where you can program up to 100 messages.

Clicking on the 'Pending', 'Sent', or 'Bad' numbers (or labels) will bring up its respective status log.

If you have spell checking enabled, double-clicking anywhere in the 'Message Text' area will start the spell check.

If the 'Recipient List' has the focus (is the current window), you can type the first few characters of a recipient's name to jump directly to that recipient. The <ENTER> key can then be used to select that recipient. The 'Recipient List' get the focus after a recipient is selected, or if you click on the 'Recipient List' heading.

Clicking on the current list indicator '(network)' or '(local)', will toggle between the local recipient list and the network recipient list. A local recipient list must first be setup for this to work.

The 'OPTIONS' button allows you to schedule messages to be sent in the future or to schedule repeating messages.

If the date/time displayed in the top right corner of PageGate GUI Client is in red print, one of PageGate's modules that is necessary to send pages, isn't running.

Clicking on the blue 'PageGate GUI Client' logo will bring up the 'About' information screen.

Shift-clicking on the name of a recipient in either the 'Recipient List' or the 'Selected Recipients' list will show more information about that recipient.

Shift-clicking on the name of a group in either the 'Recipient List' or the 'Selected Recipients' list will show more information about that group, and will also enable you to view all the members of that group.

Right-clicking on the recipient list will allow you to filter the recipient list for only desired recipients and groups.

Keyboard Shortcuts:

Send Message Ctrl-S

Clear Selected Recipients Ctrl-X

Clear Message Text Ctrl-C

Set Focus to Recipient List Ctrl-R

Set Focus to Message Text Ctrl-T

Show All Preset Messages Ctrl-P

Select Preset Message (1-9) Ctrl-(1-9)

Filter Recipients Ctrl-F


Minimizing the PageGate GUI Client

 Top Previous Next

Minimizing the PageGate GUI Client

Top Previous Next

The client application can be minimized to remove its window from the Windows desktop, but to keep it running for instant access. When it is minimized, it will either appear as a pager in the Windows system tray (bottom right corner next to the clock), or as a button in the Windows task bar (just like regular programs). To restore the client's window, simply click on the pager icon in the Windows system tray, or on the button in the Windows task bar.


Quitting

 Top Previous Next

Quitting

Top Previous Next

You can quit the PageGate GUI Client by choosing 'Exit' from the 'File' menu, clicking on the 'X' control in the PageGate GUI Client's top right corner, or by double-clicking on the pager icon in the PageGate GUI Client's top left corner. Many users find it useful to keep the PageGate GUI Client running at all times, and simply keep it minimized for quick access.


Ad-Hoc

 Top Previous Next

Ad-Hoc

Top Previous Next

Ad-Hoc messages are messages that are sent to a recipient that isn't actually setup on the PageGate Server. By using Ad-Hoc, messages can be sent to a recipient by choosing the recipient's paging carrier (by choosing the carrier's ad-hoc recipient that must already be setup in PageGate) and providing the ID/PIN number for the recipient's pager (or other wireless messaging device). Ad-Hoc recipients that have been setup in PageGate will show up at the beginning of the 'Recipient List' and will have the text '(A)' before their name. If you choose an Ad-Hoc recipient, you will be prompted for the recipient's ID/PIN number before the entry is moved into the 'Selected Recipients List'. Note: the Ad-Hoc message feature is not available unless you own a 5000 pager license or greater.


Bad

 Top Previous Next

Bad

Top Previous Next

The 'Bad' status number on the main PageGate GUI Client screen shows how many messages produced errors when being delivered by the PageGate Server. These messages were not successfully sent to the recipient's pager. Please see your PageGate administrator or the PageGate Server documentation for possible causes, more detailed information and troubleshooting tips. By clicking on the 'Bad' label, you can bring up the full 'Bad Messages' log. See 'Bad Messages' for more information about this log.


Bad Messages

 Top Previous Next

Bad Messages

Top Previous Next

The 'Bad Messages' log shows information about messages that have received errors while being delivered by the PageGate Server. Information is only shown for messages sent during the current session of the PageGate GUI Client. This log displays whom the message was sent to, when it was sent to the paging server, the current message status, and the beginning of the actual message. The 'Refresh' button will update the displayed information. The 'Requeue' button will change the highlighted message's status from 'bad' back to 'pending' (the message will be resent by the paging server). The 'Close' button will close the log screen. Please see your PageGate administrator or the PageGate Server documentation for possible causes, more detailed information and troubleshooting tips. The 'Bad Messages' log can be accessed by choosing 'Bad' form the 'View' menu, or by clicking on the 'Bad' label on the PageGate GUI Client's main screen.


Characters

 Top Previous Next

Characters

Top Previous Next

PageGate GUI Client has a character counter that displays on the main screen. It updates itself as a message is typed into the 'Message Text' area. This number in not necessarily the exact number of characters sent out in the actual message. The sender's name may be added to the beginning of each message depending on settings for each recipient. Also, options such as 'Reliapage' add more information to the message before it is sent out.


Clear

 Top Previous Next

Clear

Top Previous Next

Two 'Clear' buttons appear on PageGate GUI Client's main screen. The 'Clear' button immediately to the right of the 'Selected Recipients' list clears all the selected recipients. The 'Clear' button immediately to the right of the 'Message Text' box, clears any text in its box.


Clear on Send

 Top Previous Next

Clear on Send

Top Previous Next

If the 'Clear on send' setting in PageGate GUI Client's setup screen is enabled, whenever a message is sent by the user, the 'Selected Recipients' list and the 'Message Text' box will be automatically cleared. Otherwise, these two display boxes are left in their previous state when a message is sent.


Date & Time

 Top Previous Next

Date & Time

Top Previous Next

The date and time of the PageGate Server is displayed in the top right corner of PageGate GUI Client's main screen. The date and time is updated at an interval set in the setup screen (see 'Update Frequency'). This is the current time of the PageGate server, not your local workstation. If the date or time is incorrect, the date or time on the paging server may be wrong. If one of PageGate's modules that is necessary for the PageGate GUI Client to send pages is not running, the date and time will be printed in red letters.


Display Options

 Top Previous Next

Display Options

Top Previous Next

The Display Options window is accessible from the PageGate GUI Client setup screen. These settings allow you to disable some of the PageGate GUI Client's features. This is useful if a simplified user interface is desired for end users.

Remove Preset Buttons: This option will remove the programmable message buttons on the PageGate GUI Client window.

Remove Option button: This option will remove the 'Options' button from the PageGate GUI Client window. This will remove the end user's ability to send scheduled and repeating messages.

Remove Logs: This option will remove the end user's ability to view logs regarding message status and messages sent. This option also disables reporting.

Remove Help: This option will remove the end user's ability to view the Help file.

Remove Spell Checking: This option will remove the ability to use MS Word's spell checker to check the spelling of messages.

Small Recipient Font: This option will use a smaller font in the 'Recipient List' and 'Selected Recipients' listboxes.

Clear on Send: When this option is checked, the list of selected recipients and the message text will be automatically cleared each time a message is sent.

Display group label: Groups are distinguished from regular recipients in the Recipient list by being prefixed with the letters '(G)'. If desired, this label can be moved to the end of the group's name.

Minimize To: When the client's screen is minimized, it can do one of two things. It can either put an icon in the Windows system tray, or it can minimize to the Windows task bar.


Enable Spell Check

 Top Previous Next

Enable Spell Check

Top Previous Next

The 'Enable Spell Check' checkbox is used to enable/disable the message spell checking option. The PageGate GUI Client can use Microsoft Word's spell checking dictionary. MS Word 97 or newer is required. The 'Enable Spell Check' setting is located on the 'Setup' screen found under the 'Tools' menu.


Filtering Recipients

 Top Previous Next

Filtering Recipients

Top Previous Next

You can filter the list of recipients that is shown in the 'Recipient List' by right-clicking in the recipient list, or by choosing 'Filter Recipients' from the 'Tools' menu. You can filter recipients by full name (the name that is displayed in the 'Recipient List'), by short name (the name used by the Admin program), or by any of for other user definable fields (these are setup within the Admin program).

In each field, enter characters that must match each recipient to be included in the list.

To return to the full list, leave all the filter fields blank, or click on the 'Clear' button next to the recipient list.


Groups

 Top Previous Next

Groups

Top Previous Next

Messages can be sent to a pre-defined group of recipients (groups are defined in the PG Admin program). Groups will show up at the beginning of the 'Recipient List' and will have the text '(G)' before their names. When you send a message to a group, the message will be delivered to all the members of the group.


History Log

 Top Previous Next

History Log

Top Previous Next

The 'History Log' shows information about all messages sent from this workstation. The 'Station Number' set in the 'Setup' screen is used to generate this log. If unique station numbers are not used for each workstation, messages sent from other workstations may appear in this log. You have options of printing the log to a printer, or copying the log to your computer's clipboard for use in another application.


Local Recipient Lists

 Top Previous Next

Local Recipient Lists

Top Previous Next

In the PageGate GUI Client, you can select several commonly used recipients and put them into a local (personal) recipient list. This can save you from scrolling through a long network recipient list to select the recipients you use most. This local recipient list is unique to each PageGate GUI Client.

To add recipients to the local recipient list, choose 'Local Recipients' from the 'Tools' menu. The left box shows all the recipients setup in the PageGate paging server. The right box shows which recipients will be displayed in your local recipient list. Simply click on recipients in the 'Network Recipient List' to move them to the 'Local Recipient List'. Also, recipients may be removed from the 'Local Recipient List' by clicking on them. The 'Recipient List File' field can be used to centralize local recipient lists for multiple workstations. Please see the section 'Recipient List File' for more information. If you have a local recipient list setup, it will be the default recipient list displayed each time you startup the PageGate GUI Client.


Local Recipient List Only

 Top Previous Next

Local Recipient List Only

Top Previous Next

If the 'Local Recipient List Only' setting in the PageGate GUI Client's setup screen is enabled, users of the PageGate GUI Client are restricted to only being able to send messages to recipients in their 'Local Recipient List'.


Passwords

 Top Previous Next

Passwords

Top Previous Next

The PageGate GUI Client can use three different types of passwords. All three of these passwords are set in the PG Admin program by PageGate's administrator. All three passwords are optional.

Database Password: When set, this password is required to access PageGate's database file. It is usually set to restrict other applications from accessing PageGate's database file. If the database password has just been set or changed, the PageGate GUI Client will prompt you for the new password the next time it is run. The PageGate GUI Client will store and use this password automatically each time it is started (you will be re-prompted for the database password each time it is changed).

Application Password: This password can be set by PageGate's administrator to restrict access to the PageGate GUI Client application. If the password is set, the PageGate GUI Client will prompt for it each time the program is started.

Admin Password: This password can be set by PageGate's administrator to password protect the PageGate GUI Client's Setup screen.


Message Content

 Top Previous Next

Message Content

Top Previous Next

Messages sent by PageGate are sent with more information than just the message itself. Messages will be prefixed with the reliapage index (if enabled), the block number (if it is part of a large message that has been broken into smaller pieces. i.e. 1 of 3, 2 of 3, 3 of 3), the sender's name (optional), and then the message itself. Each of these fields is separated with a colon (:). Most pagers have a limited character set usually consisting of upper and lower case letters, numbers, and some symbols (periods, commas, dollar signs, exclamation points, etc.). Non printing characters such as carriage returns, line feeds, tabs, and some symbols are not commonly supported. By default the PageGate Server will strip all non-printable characters from the messages. This behavior can optionally be turned of in the PG Admin program.


Message Text

 Top Previous Next

Message Text

Top Previous Next

The 'Message Text' area is where the actual message to be sent is typed. Commonly used messages can be automatically entered by hitting one of the 'Prog1' - 'Prog5' buttons (see 'Presets' for information on settings and use of these buttons). A character counter is displayed above the 'Message Text' area. If spell checking is enabled (see 'Spell Checking'), it can be invoked by double-clicking anywhere in the 'Message Text' area.


Options

 Top Previous Next

Options

Top Previous Next

The 'Options' button brings you to the 'Advanced Message Options' screen. From here, scheduled and repeating messages can be setup. To schedule a page to be sent at a future date and time, fill in the 'Send Message When' fields. To schedule a message to be sent repeatedly, fill in the 'Send Message When' fields for when you want the first page to be sent. Fill in the 'Resend Messages Every' fields to set the interval at which the message is to be repeated. Finally, fill in the 'Stop Sending Message' fields to set the date and time for the message to stop being sent.


Pending

 Top Previous Next

Pending

Top Previous Next

The 'Pending' status number on the main PageGate GUI Client screen shows how many messages sent by this workstation (during the current PageGate GUI Client session) are still waiting to be sent by the PageGate Paging Server. By clicking on the 'Pending' label, you can bring up the full 'Pending Messages' log. See 'Pending Messages' for more information about this log.


Pending Messages

 Top Previous Next

Pending Messages

Top Previous Next

The 'Pending Messages' log shows information about messages that are waiting to be sent by the PageGate Paging Server. Information is only shown for messages sent during the current session of the PageGate GUI Client. This log displays whom the message was sent to, when it was sent to the paging server, the current message status, and the beginning of the actual message. The 'Refresh' button will update the displayed information. The 'Delete' button will cancel the highlighted message. The 'Close' button will close the log screen. The 'Pending Messages' log can be accessed by choosing 'Pending' form the 'View' menu, or by clicking on the 'Pending' label on PageGate GUI Client's main screen.


Pre-programmed Messages

 Top Previous Next

Pre-programmed Messages

Top Previous Next

Up to 100 commonly used messages can be pre-programmed for your convenience. The first five of these messages can be automatically inserted into the 'Message Text' area by clicking on the 'Prog1' - 'Prog5' buttons. The additional pre-programmed messages can be accessed by clicking on the 'More' button. Individual messages can be set by right-clicking on the respective 'Prog' button. To access the 'Preset Messages' screen, which displays all one hundred pre-programmed messages at the same time, choose 'Tools' -> 'Presets' from the menu. Once in this screen, you can edit any one or all of the pre-programmed messages. Clicking apply will save the changes and close the window. Double-clicking on an entry or highlighting an entry and clicking the 'Apply' button will insert the selected message into the 'Message Text' area on the main screen.


Preset Msgs File

 Top Previous Next

Preset Msgs File

Top Previous Next

The 'Preset Msgs File' setting on the 'Setup' screen allows you to point to a file that stores the preset messages for this workstation. Many workstations can be set to the same file so they can share the same preset messages.


Recipient List

 Top Previous Next

Recipient List

Top Previous Next

The 'Recipient List" box is displayed on the PageGate GUI Client's main screen. It lists recipients (pagers) an groups of recipients, that you can send messages to. To select a recipient, simply click on its name. The recipient will be moved to the "Selected Recipients" box. If the "Recipient List' has the focus (right-clicking in the box will accomplish this), you can jump down to a recipient by typing the first few letters of its their name. The recipient can then be selected by hitting the <Enter> key. Shift-clicking on the name of a group in either the 'Recipient List' or the 'Selected Recipients' list will show a list of all the members of that group.


Recipient List File

 Top Previous Next

Recipient List File

Top Previous Next

This option appears on the 'Assign Local Recipients' screen. It allows an administrator to keep a list of local recipients for this PageGate GUI Client in a central location. This enables the administrator to maintain local user list files in a central location. The file is a simple Ascii text file with a single recipient name on each line of the file.


Recipients

 Top Previous Next

Recipients

Top Previous Next

In PageGate, 'recipient' is synonymous with 'pager' (or other wireless messaging device). A recipient is the person who carriers the actual pager. When PageGate refers to a 'recipient' it is really referring to the recipient's pager. This approach simplifies things for the end users. For example if a user were to replace their pager with a new unit, the user name will stay consistent, even though the pager's information would change.


Scheduled and Repeating Messages

 Top Previous Next

Scheduled and Repeating Messages

Top Previous Next

Selecting the 'Options' button on the PageGate GUI Client's main screen will display a window where you can schedule messages to be sent in the future, and messages that will be sent repeatedly. To schedule a page to be sent at a future date and time, fill in the 'Send Message When' fields. To schedule a message to be sent repeatedly, fill in the 'Send Message When' fields for when you want the first message to be sent. Fill in the 'Resend Messages Every' fields to set the interval at which the message is resent. Finally, fill in the 'Stop Sending Message' fields to set the date and time for the message to stop being sent.


Scheduled Msgs

 Top Previous Next

Scheduled Msgs

Top Previous Next

The 'Scheduled Msgs' menuitem can be found under the 'View' menu. This option allows you to make changes to a message that has been scheduled for delivery, but hasn't been sent yet.

To edit a scheduled message, highlight a message entry on the 'Scheduled Messages' screen and then hit the 'Edit' button. A message box will appear to let you know that this message will not be delivered until you hit the 'Send' button again (even if you don't make any changes). the data from the message you selected will be filled into the regular PageGate GUI Client screen. Make the necessary changes and then resend the message by hitting the 'Send' button.


Selected Recipients

 Top Previous Next

Selected Recipients

Top Previous Next

The 'Selected Recipients' list box is displayed on the PageGate GUI Client's main screen. It lists recipients (pagers) that the next message will be sent to. Recipients are added to the 'Selected Recipients' list by choosing them from the 'Recipient List' box (see 'Recipient List' for more details). You can remove a single recipient from this list by simply clicking on the name of the recipient. Clicking the 'Clear' button to the right of the 'Selected Recipients' box, will clear all the recipients in the list. Shift-clicking on the name of a group in either the 'Recipient List' or the 'Selected Recipients' list will show a list of all the members of that group.


Send

 Top Previous Next

Send

Top Previous Next

Clicking on the 'Send' button will send the message in the 'Message Text' area to all the recipients (pagers) in the 'Selected Recipients' list. The 'Send' button will animate to confirm your mouse click on the button. The 'Message Text' and 'Selected Recipients' boxes are not cleared after clicking 'Send' (unless the 'Clear on Send' option in the setup screen is enabled), enabling you to resend the message if needed. To clear either of these boxes, simple click the 'Clear' button to it's right.


Sender's Name

 Top Previous Next

Sender's Name

Top Previous Next

The 'Sender's Name' is sent at the beginning of each message, so the recipient knows who the message is sent from. A short name should be used because most pagers only display a limited number of characters on their screens. The 'Sender's Name' setting is located on the 'Setup' screen found under the 'Tools' menu. Sending the 'Sender's Name' can optionally be disabled from within the PG Admin program.


Sent

 Top Previous Next

Sent

Top Previous Next

The 'Sent' status number on the main PageGate GUI Client screen shows how many messages have been successfully sent by this workstation (during the current PageGate GUI Client session). By clicking on the 'Sent' label, you can bring up the full 'Sent Messages' log. See 'Sent Messages' for more information on the log.


Sent Messages

 Top Previous Next

Sent Messages

Top Previous Next

The 'Sent Messages' log shows information about messages that have been sent by the PageGate paging server. Information is only shown for messages sent during the current session of the PageGate GUI Client. This log displays whom the message was sent to, when it was sent to the paging server, the current message status, and the beginning of the actual message. The 'Refresh' button will update the displayed information. The 'Requeue' button will resend the highlighted message. The 'Close' button will close the log screen. The 'Sent Messages' log can be accessed by choosing 'Sent' form the 'View' menu, or by clicking on the 'Sent' label on the PageGate GUI Client's main screen.


Server Database

 Top Previous Next

Server Database

Top Previous Next

The 'Server Database' specifies the location of the PageGate Paging Server's main database file. The name of the database is: pagegate.mdb , and is found by default in the PageGate Server's program directory. This field can be set by typing the full path to the database file (not including the filename itself), or by using the browse button (three dots). The 'Server Database' setting is found on the 'Setup' screen found under the 'Tools' menu.


Setup

 Top Previous Next

Setup

Top Previous Next

The 'Setup' screen allows you to change the programs initial setup information.

The 'Server Database' specifies the location of the PageGate Paging Server's main database. The PageGate Paging Server must be installed, setup, and running in order for the PageGate GUI Client to operate. Type the full path (not including the file name) to the PageGate Server's database file. Or, use the browse button (three dots) to find the database location.

The 'Sender's Name' field allows you to set the name of the operator of this workstation. Each message sent by PageGate GUI Client is prefixed with the name of the sender (this behavior can be optionally disabled from within the PG Admin program).

The 'Station Number' is used by the log files to indicate which workstation a message originated from. Each workstation should be given a unique 'Station Number' (unless you want multiple workstations to share the same history log).

The 'Update Frequency' sets how often (in seconds) the PageGate GUI Client updates its statistics and logs from the paging server. Too small a value may generate unnecessary network traffic.

The 'Clear on Send' option can be checked so that whenever a message is sent, the message textbox and list of recipients the message was sent to are automatically cleared.

If the 'Small Recipient Font' box is checked, a smaller font size will be used in the recipient pick lists.

The 'Local Recipient List Only' option can be used to only allow the user of this program to see recipients in their 'Local Recipient List'. The full 'Network Recipient List' will not be accessible.

The 'Enable Spell Check' checkbox allows you to enable the spell checking option in the PageGate GUI Client. In order to use this option, you must have Microsoft Word 97 or newer installed on your system.

The 'Display Options' button displays a screen that allows you to disable some of the PageGate GUI Client's features. This is useful if a simplified user interface is desired for end users.

Remove Preset Buttons: This option will remove the programmable message buttons on the PageGate GUI Client window.

Remove Option button: This option will remove the 'Options' button from the PageGate GUI Client window. This will remove the end user's ability to send scheduled and repeating messages.

Remove Logs: This option will remove the end user's ability to view logs regarding message status and messages sent.

Remove Help: This option will remove the end user's ability to view the Help file.

Remove Spell Checking: This option will remove the ability to use MS Word's spell checker to check the spelling of messages.

The above settings can be saved so that all users of this workstation will use these settings, or so that only the currently logged in user uses these settings.

The 'Setup' screen is accessed by choosing 'Setup' from the 'Tools' menu


Small Recipient Font

 Top Previous Next

Small Recipient Font

Top Previous Next

When this box is checked, a smaller font size will be used in the recipient pick lists. This will help when long recipient names are used.


Spell Check

 Top Previous Next

Spell Check

Top Previous Next

If the spell checking option is enabled on the 'Setup' screen, messages can be checked for spelling errors before they are sent. The PageGate GUI Client uses Microsoft Word's spell checking utility that is included in Word 97 or newer. MS Word must be installed in order for PageGate GUI Client to be able to spell check messages. A message can be checked by double-clicking anywhere in the 'Message Text' area, or by choosing 'Check Spelling' from the 'Tools' menu.


Station Number

 Top Previous Next

Station Number

Top Previous Next

The 'Station Number' is used by the log files to indicate which station messages were sent from. A unique number should be set to each workstation. The 'Station Number' setting is found on the 'Setup' screen under the 'Tools' menu. If you want a group of users to share a common history log, set their station numbers to be the same.


Update Frequency

 Top Previous Next

Update Frequency

Top Previous Next

The 'Update Frequency' setting specifies how often (in seconds) the PageGate GUI Client updates its statistics and logs from PageGate. Too small a value may generate unnecessary network traffic, while too large a value will not give the user current information. The 'Update Frequency' setting is located on the 'Setup' screen found under the 'Tools' menu.


Recipient List

 Top Previous Next

Recipient List

Top Previous Next

The 'Recipient List' listbox is displayed on the PageGate GUI Client's main screen. It lists recipients (pagers) that can be chosen to send messages to. Recipients are listed alphabetically by the recipient's full name. Groups are listed before single recipients. Recipients must be added to the PageGate paging server application before they are available to PageGate GUI Client. There are two different recipient lists maintained by PageGate GUI Client. The current list being displayed is indicated by the word next to the 'Recipient List' label. It will read either '(network)' or '(local)'. The network recipient list displays all recipients setup in the PageGate server. A local recipient list can be setup by choosing 'Local Recipients' from the 'Tools' menu. You may want to add commonly used recipients into your local recipient list to save time scrolling through the entire network recipient list. You can switch between the local recipient list and the network recipient list by clicking on the 'Recipient List' label, clicking on the '(network)' or '(local)' labels, or by choosing 'Local Recipients' or 'Network Recipients' from the 'View' menu. Recipients are moved from the 'Recipient List' to the 'Selected Recipients' list by clicking on the recipient's name. You can also select recipients by typing the first few letters in their name and hitting <ENTER>. This only works if the 'Recipient List' is the active control (has the focus). Set the focus to the 'Recipient List' by right-clicking anywhere in the recipient list box. Once a recipient is selected, it is moved from the 'Recipient List' box to the 'Selected Recipients' box.


Date and time is red

 Top Previous Next

Date and time is red

Top Previous Next

The date and time shown on the PageGate GUI Client screen is printed in red

If one of PageGate's modules necessary for the operation of the PageGate GUI Client is not running, the PageGate GUI Client will alert you by printing the date and time in red print rather than black. Your messages will still be accepted, but won't be sent out until the problem is resolved.


Date and time is wrong

 Top Previous Next

Date and time is wrong

Top Previous Next

The date or time shown on the PageGate GUI Client screen is wrong

The PageGate GUI Client receives its date and time from the PageGate Paging Server. If the date or time on the PageGate Server is incorrect or if the server application isn't running, your local NotePager date or time may not be correct.


I can't see all the recipients

 Top Previous Next

I can't see all the recipients

Top Previous Next

I can't see all the recipients setup in PageGate

If you have setup a local recipient list (a subset of all the PageGate recipients) it will be displayed as the default list when you start PageGate GUI Client. You can switch to the full PageGate recipient list by clicking on the 'Recipient List' heading, or by choosing 'Network Recipients' from the 'View' menu. If the PageGate GUI Client isn't registered and is running in 'shareware mode', only the first five recipients in PageGate will be displayed.


Installation Troubleshooting

 Top Previous Next

Installation Troubleshooting

Top Previous Next

Problem: Any number of different problems

Solution: Be sure that there are no other programs running when you install PageGate. There may be programs running even if you don't see them in your task bar. Pressing <ctrl><alt><del> will bring up a list of running programs in Windows 95 and 98. In Windows NT you can choose 'Task Manager' after hitting <ctrl><alt><del> for similar information. Stop any programs that you believe is causing the conflict. WARNING: this should only be done by an experienced user. Randomly ending tasks can lock up your computer, lose data or worse. Please consult with and experienced technician before killing any processes. A clean reboot can sometimes also help. Holding down the shift key while windows is starting will stop some programs from starting that automatically load at startup. Try re-running the PageGate setup program.


Spell checking doesn't work

 Top Previous Next

Spell checking doesn't work

Top Previous Next

Spell checking doesn't work.

In order to use the spell checking feature in the PageGate GUI Client, you must have a Microsoft Office installed on the workstation.


Using Local Time

 Top Previous Next

Using Local Time

Top Previous Next

When the PageGate GUI Client starts, I get the message 'Unable to synchronize with the scheduler....'

When the PageGate GUI Client starts, it attempts to synchronize its clock with the clock on the paging server. Note: this does not affect your computer's time or date. Synchronized application time is important for efficient message delivery. If for any reason you PageGate GUI Client is unable to synchronize its time with the server, you will receive the message 'Unable to synchronize time with the scheduler. Using local time'. Even if you receive this message, your client will continue to operate and queue messages. However, there may be a problem with the paging server that could interfere with the delivery of your messages. When time is out-of-sync, the date/time display on the PageGate GUI Client screen will be displayed in red.


Where is the Server Database file?

 Top Previous

Where is the Server Database file?

Top Previous

Where is the Server Database file?

The PageGate GUI Client and the PageGate Server must share the same database file (pagegate.mdb) to operate. Therefore the file should be located on your network where both machines have access to the file. Both the PageGate GUI Client and the PageGate Server must also have full rights to read, write, and change the file contents. The pagegate.mdb file is created by the PageGate Server and by default is located in the PageGate program directory. If you accept this location while installing PageGate, be sure to make the folder a shared network folder to all the PageGate GUI Client computers.


Apply

 Top

Click on the 'Apply' button to save the changes made to this screen.


BadMessagesList

This list displays all the messages, sent from this workstation, that failed to be delivered by the paging server (during the current session only). To view information about messages sent during previous sessions of this client, choose 'History Log' from the 'View' menu.


Close

Click on the 'Close' button to leave this screen without saving any changes.


Copy

Click this button to copy the message that is highlighted in the above list, and fill its values into the main screen. This allows you to easily resend a message to another recipient, or send a slightly modified message.


Delete

Click on this button to delete the highlighted entry in the above list.


DisplayGroupLabel

The client differentiates a group from a recipient by adding a (G) either before or after the name of the group. You can choose where the (G) should be placed below.


DisplayGroupLabelAfter

The client differentiates a group from a recipient by adding a (G) either before or after the name of the group. Choose this option to show the (G) before the group's name.


DisplayGroupLabelBefore

The client differentiates a group from a recipient by adding a (G) either before or after the name of the group. Choose this option to show the (G) after the group's name.


DisplayOptionsMinimize

Choose one of the two options below to set the behavior of the client's icon when it is minimized:

System Tray

If this option is selected, when you minimize the client's main screen, a pager icon will be put into the Windows system tray (bottom right corner of the screen next to the clock). You can click on this pager icon to restore the client to its normal size.

Task Bar

If this option is selected, when you minimize the client, it will minimize to the Windows task bar (just like most other applications).


DisplayOptionsMinToSystray

If this option is selected, when you minimize the client, a pager icon will be put into the Windows system tray (bottom right corner of the screen next to the clock). You can click on this pager icon to restore the client to its normal size.


DisplayOptionsMinToTaskBar

If this option is selected, when you minimize the client, it will minimize to the Windows task bar (just like most other applications).


DisplayOptionsRemoveHelp

Check this box to remove the ability to view the help file.


DisplayOptionsRemoveLogs

Check this box to remove the ability to view logs.


DisplayOptionsRemoveOption

Check this box to remove the 'Options' button from the main screen.


DisplayOptionsRemovePresets

Check this box to remove the programmable message buttons from the main screen.


DisplayOptionsRemoveSpell

Check this box to remove the spell checking option.


HistoryClipboard

Click this button to copy the contents of this log to the Windows clipboard. It can then easily be pasted into another application.


HistoryList

The history log shows all message that were sent by this station. If more than one workstation shares the same station number (settable on the 'Setup' screen, found under the 'Tools' menu), messages for those workstations will show here too.


HistoryPrint

Click this button to send a copy of this history log to your printer.


InfoExtra

These four fields are definable by the administrator for saving extra information with each recipient.


InfoFilter

Fill in the fields above with information you want to filter the recipient list by. Then click this button to only show the recipients that match these fields.


InfoFullName

The Recipient's Full name as shown in the recipient list on the main screen.


InfoMembers

Click this button to show all the members that belong to this group.


InfoShortName

The recipient's short name used in the Administration program.


LocalRecipientsFile

Rather than maintaining the local recipient list by using the boxes above, a file can be specified to read the local recipient list from.


LocalRecipientsFileBrowse

Click on this button to browse to a file to read the local recipient list from.


LocalRecipientsLocalList

The 'Local Recipient List' show all the PageGate recipients that will be shown on the main screen if the local recipient list is made to be the active recipient list. To move recipients back to the 'Network Recipient List', simply click on their name. To toggle between the network recipient list and the local recipient list, click on the 'Recipient List' heading on the main screen.


LocalRecipientsNetworkList

The 'Network Recipient List' show all the PageGate recipients that are not yet part of the 'Local Recipient List'. To move recipients from the network to local list (or back), simply click on their name.


LogClose

Click this button to close this screen.


OptionsResendWhen

Messages can be scheduled to repeat at a set time interval. Enter values to the right to set a message to repeat.


OptionsResendWhenDay

Set how often, in days, you want the message to repeat.


OptionsResendWhenHour

Set how often, in hours, you want the message to repeat.


OptionsResendWhenMinute

Set how often, in minutes, you want the message to repeat.


OptionsSendWhen

Messages can be scheduled to be sent at a future date and time by modifying the settings to the right.


OptionsSendWhenDate

Set the date when you want the message sent.


OptionsSendWhenTime

Set the time when you want the message sent.


OptionsStopSending

If a message is set to repeat, you can set when the message should stop being sent here.


OptionsStopSendingDate

If this message is set to repeat, enter the date when it should stop being sent.


OptionsStopSendingTime

If this message is set to repeat, enter the time when it should stop being sent.


PendingMessagesDelete

Click the 'Delete' button to cancel the highlighted message in the above list.


PendingMessagesList

This list displays all the messages, sent from this workstation, that are waiting to be delivered by the paging server (during the current session only). To view information about messages sent during previous sessions of this client, choose 'History Log' from the 'View' menu.


PresetMessagesButton

Click on this button to insert the text to the right, into the 'Message Text' box on the main screen.


PresetMessagesText

Enter the text here you want associated with this programmable button.


PresetMsgsFile

Enter the name of the file that will store your preset messages. Many workstations can share the same presets if you enter the location of a shared file here.


PresetMsgsFileBrowse

Click on this button to browse to a file to use for your preset messages.


Presets

This list displays all the preset messages. Click on the headings to sort the list by that column. If you type a few characters, the highlight will jump to the row that matches the characters (in the column that the list is currently sorted by). Double-Click on any entry to insert its text into the message on the main screen.


PresetsEdit

Click this button to edit the preset message that is highlighted in the above list. You also use this button to create a new preset message.


PresetsEditDescription

Enter a short description for this message. The description field can make it easier to sort by or find a message in the list. If this message is one of the first five, this description will show up on the button on the main screen.


PresetsEditMessage

Enter a message you want stored for future use, here.


Refresh

Click this button to refresh the data above with the most current information.


ReportsAll

Choose this option to include all sent messages in this report


ReportsBad

Choose this option to only include messages that were not sent successfully in this report.


ReportsBrowse

Click on this button to browse to a location or existing file to save the report to.


ReportsDetails

Choose this option to include detailed information about the messages in the report.


ReportsEndDate

Enter the last date you want the report to include.


ReportsEndTime

Enter the ending time for this report


ReportsFile

Choose this option to save the report data to a text file.


ReportsFileName

Enter the path and file name to save to report to. You can choose the button to the right '...' to browse to an existing location or file.


ReportsGood

Choose this option to only include messages that were sent successfully in this report.


ReportsPreview

Check this box if you want to preview the report on your screen before printing.


ReportsPrint

Click this button to print or preview the report.


ReportsPrinter

Choose this option to sent the report to your printer


ReportsRecipients

Select the recipient you want the report generated for from this list. Choose (All) to print a report for all recipients. Use <shift> or <ctrl> to select more than one recipient.


ReportsStartDate

Enter the first date you want the report to include


ReportsStartTime

Enter the starting time you want this report to include.


ReportsSummary

Choose this option to only include summary information about each message in the report.


ReportsTotals

Choose this option to only show the total number of messages for each recipient in the report.


ReportsZero

Check this box if you want selected recipients included in the report even if no messages were sent to them.


Requeue

Click on this button to resend the message that is highlighted in the above list.


ScheduledMessagesEdit

Use the 'Edit' button to change the settings of a scheduled message. Highlight a scheduled message from the above list and then click this button. You will be brought back to the regular PageGate GUI Client send screen, but this message's information will populate the screen. The message being edited will NOT be sent out until the 'Send' button is pressed. In other words, if you edit a message and don't hit the 'Send' button (even if you haven't made any changes), the message will never be sent.


ScheduledMessagesList

This list displays all the active messages that have been scheduled by this workstation (during the current or previous sessions).


SendFormBad

This shows how many messages you have sent, have failed to be delivered by the paging server. Click on this label to bring up a detailed list of these messages.


SendFormCharacterCounter

This counts the number of characters you have entered into the message text box.


SendFormClearRecipients

Click this button to clear all the recipients from the 'Selected Recipients' list.


SendFormDateTime

This is the current date & time of the paging server (not necessarily this workstation). If the date & time is printed in black, then this client's time is synchronized with the paging server's time. If it is printed in red, then this client has been unable to synchronize its time with the paging server.


SendFormMessageClear

Click this button to clear the 'Message Text' box.


SendFormMessageText

This box is where you enter the message you want to send. You can double-click in this box to run spell check (if enabled).


SendFormMorePresets

Up to 100 pre-programmed messages can be setup in the GUI Client. Click this button to access these messages.


SendFormOptions

Click this button to edit the sending options for this message. There you can schedule a message to be delivered in the future, or to be sent repeatedly for a period of time.


SendFormPending

This shows how many messages you have sent, have not yet been delivered by the paging server. Click on this label to bring up a detailed list of these pending messages.


SendFormProg

Click on this button to insert its pre-programmed text into the message text box at the cursor's location. Right-click on this button to edit the pre-programmed text stored in this button.


SendFormRecipientList

This box list all the available recipients you can choose from. Click on each recipient you want to send your message to. The chosen recipients will be moved to the 'Selected Recipients' box to the right. You can also type the first few letters of a recipient to jump directly to it, and then press <Enter> to select it.

You can filter the list of recipients by right-clicking anywhere in the list.

You can show the properties of a recipient by shift-clicking on the recipient.

You can show the members of a group by shift-clicking on the group.


SendFormRecipientListHeading

Clicking on this heading will toggle between the network recipient list (entire list), and the local recipient list (if one is setup). You can create a local recipient list by choosing 'Local Recipients' from the 'Tools' menu above.


SendFormSelectedRecipients

This box lists all the recipients that will receive your message. Click on a recipient in this list to remove it from this list. The 'Clear' button to the right will remove all the recipients from this list.

You can show the properties of a recipient by shift-clicking on the recipient.

You can show the members of a group by shift-clicking on the group.


SendFormSend

Click on this button to send your message to the paging server for delivery.


SendFormSent

This shows how many messages you have sent, have been successfully delivered by the paging server. Click on this label to bring up a detailed list of these messages.


SentMessagesList

This list displays all the messages that have been sent by this workstation (during the current session only). To view information about messages sent during previous sessions of this client, choose 'History Log' from the 'View' menu.


SetupClearOnSend

Check this box if you want the selected recipients and the message text box cleared each time you send a message.


SetupCurrentLocal

The PageGate GUI Client can be set to use a common set of settings for all users that log onto this computer, or to keep separate settings for each user that logs on.


SetupDisplayOptions

This button will bring you to a screen where you can disable certain features of the PageGate GUI Client.


SetupLocalUserlistOnly

This option will only allow the user to view the local recipient list. Using this option in conjunction with password protecting this setup screen (from the PG Admin program), can enable administrators to lock users into only seeing certain recipients.


SetupSender

Each message that is sent out by PageGate includes the sender's name. Enter the sender's name here. If you enter %LoginName% for the sender, the current user's login name will be used.


SetupServerDatabase

Enter the path to the PageGate Server's database file (pagegate.mdb). You may use the button to the right '...' to browse to the folder where the database resides.


SetupServerDatabaseBrowse

Use this button to browse to the PageGate Server's database location (pagegate.mdb)


SetupSmallFont

Check this box if you want a smaller font to be used in the 'Recipient List' and 'Selected Recipients' boxes. This will allow you to see more characters if long names are used.


SetupSpellCheck

Check this box to enable the spell check option. Microsoft Word 97 or 2000 must be installed for this option to work.


SetupStation

The station number is used by the history logs to show messages sent for each client workstation. A unique station number should be used if you only want users to see messages that they have sent. If you want groups of users to see a common history log, assign them the same station number.


SetupUpdateFrequency

The update frequency is how often (in seconds) this client will check with the PageGate Server to update its statistics (pending, sent, bad).